package com.srs.comprehensive.mapper;

import java.util.List;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.SrsZxjApprovalRecord;
import com.srs.comprehensive.domain.Vo.CphSearch;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author srs
 * @date 2024-03-17
 */
public interface SrsZxjApprovalRecordMapper extends BaseMapper<SrsZxjApprovalRecord> {

    /**
     * 审批记录查询
     */
    public List<SrsZxjApprovalRecord> listView(CphSearch param);
    /**
     * 查询【请填写功能名称】
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsZxjApprovalRecord selectSrsZxjApprovalRecordById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * @param srsZxjApprovalRecord 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<SrsZxjApprovalRecord> selectSrsZxjApprovalRecordList(SrsZxjApprovalRecord srsZxjApprovalRecord);

    /**
     * 新增【请填写功能名称】
     * @param srsZxjApprovalRecord 【请填写功能名称】
     * @return 结果
     */
    int insertSrsZxjApprovalRecord(SrsZxjApprovalRecord srsZxjApprovalRecord);

    /**
     * 修改【请填写功能名称】
     * @param srsZxjApprovalRecord 【请填写功能名称】
     * @return 结果
     */
    int updateSrsZxjApprovalRecord(SrsZxjApprovalRecord srsZxjApprovalRecord);

    /**
     * 删除【请填写功能名称】
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    int deleteSrsZxjApprovalRecordById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsZxjApprovalRecordByIds(Long[] ids);

    int deleteSrsZxjApprovalRecordByApplyIds(Long[] ids);
}
